## org.red5.server.net.mrtmp
Class BaseMRTMPConnection

    java.lang.Object
      org.red5.server.net.mrtmp.BaseMRTMPConnection

All Implemented Interfaces:
  IMRTMPConnection

Direct Known Subclasses:
  MRTMPEdgeConnection, MRTMPOriginConnection

    public class BaseMRTMPConnection

extends Object
implements IMRTMPConnection

Author:
  Steven Gong (steven.gong@gmail.com)

Constructor Summary
`BaseMRTMPConnection()`

Method Summary
`void` `close()`
`void` `connect(int clientId)` Send connect message to other side
`void` `disconnect(int clientId)` Send disconnect message to other side
`IoSession` `getIoSession()`
`void` `setIoSession(IoSession ioSession)`
`void` `write(int clientId, Packet packet)` Send RTMP packet to other side

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaseMRTMPConnection

    public BaseMRTMPConnection()

Method Detail

### write

    public void write(int clientId,
                      Packet packet)

  Description copied from interface: `IMRTMPConnection`
  Send RTMP packet to other side

  Specified by:
    `write` in interface `IMRTMPConnection`

### connect

    public void connect(int clientId)

  Description copied from interface: `IMRTMPConnection`
  Send connect message to other side

  Specified by:
    `connect` in interface `IMRTMPConnection`

### disconnect

    public void disconnect(int clientId)

  Description copied from interface: `IMRTMPConnection`
  Send disconnect message to other side

  Specified by:
    `disconnect` in interface `IMRTMPConnection`

### close

    public void close()

  Specified by:
    `close` in interface `IMRTMPConnection`

### getIoSession

    public IoSession getIoSession()

### setIoSession

    public void setIoSession(IoSession ioSession)

Copyright © 2006-2010 The Red5 Project